Skip to content

List Resource Groups

Request

List the resource groups resources can be allocated to. Archived resource groups are not included.

Security
oAuth2ClientCredentials
Query
cursorstring or null(Cursor)
Any of:

Pagination cursor. Mutually exclusive with other query parameters

string
codestring or null(Code)
Any of:

Resource group code to match exactly.

string
code:instring or null(Code:In)
Any of:

Resource group codes to match. Comma-separated list.

string
GET
/v1/resources/resource_groups
import requests

url = "https://api.qargo.com/v1/resources/resource_groups"

headers = {"Authorization": "Bearer <YOUR_TOKEN_HERE>"}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Responses

Successful Response

Bodyapplication/json
next_cursorstring or null(Next Cursor)
Any of:
string
itemsArray of objects(Items)required
Response
{ "next_cursor": "string", "items": [ {} ] }